osmith has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/40025?usp=email )
Change subject: testenv: clean: fix cleaning git dir
......................................................................
testenv: clean: fix cleaning git dir
Don't try to build a PATH that contains the testsuite dir if running the
"clean" action, because then no testsuite is defined.
Fix for:
$ ./testenv.py clean
[testenv] + ['rm', '-rf', '/home/user/.cache/osmo-ttcn3-testenv/git']
Traceback (most recent call last):
File "/home/user/code/osmo-dev/src/osmo-ttcn3-hacks/./testenv.py", line 137, in <module>
main()
File "/home/user/code/osmo-dev/src/osmo-ttcn3-hacks/./testenv.py", line 133, in main
clean()
File "/home/user/code/osmo-dev/src/osmo-ttcn3-hacks/./testenv.py", line 117, in clean
testenv.cmd.run(["rm", "-rf", path])
File "/home/user/code/osmo-dev/src/osmo-ttcn3-hacks/_testenv/testenv/cmd.py", line 106, in run
env=generate_env(env),
^^^^^^^^^^^^^^^^^
File "/home/user/code/osmo-dev/src/osmo-ttcn3-hacks/_testenv/testenv/cmd.py", line 72, in generate_env
path += f":{os.path.join(testenv.testsuite.ttcn3_hacks_dir, testenv.args.testsuite)}"
^^^^^^^^^^^^^^^^^^^^^^
AttributeError: 'Namespace' object has no attribute 'testsuite'
Change-Id: I65da89581260fc60b3d8da0a93ee04c0c22c7f2c
---
M _testenv/testenv/cmd.py
1 file changed, 1 insertion(+), 1 deletion(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-ttcn3-hacks refs/changes/25/40025/1
diff --git a/_testenv/testenv/cmd.py b/_testenv/testenv/cmd.py
index df57b79..f84769d 100644
--- a/_testenv/testenv/cmd.py
+++ b/_testenv/testenv/cmd.py
@@ -68,7 +68,7 @@
ret = dict(env_extra)
path = os.path.join(testenv.data_dir, "scripts")
path += f":{os.path.join(testenv.data_dir, 'scripts/qemu')}"
- if testenv.testsuite.ttcn3_hacks_dir:
+ if testenv.args.action == "run" and testenv.testsuite.ttcn3_hacks_dir:
path += f":{os.path.join(testenv.testsuite.ttcn3_hacks_dir, testenv.args.testsuite)}"
if usr_dir:
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/40025?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newchange
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I65da89581260fc60b3d8da0a93ee04c0c22c7f2c
Gerrit-Change-Number: 40025
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
osmith has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/40028?usp=email )
Change subject: buildsystem: remove ttcn3_compiler workaround
......................................................................
buildsystem: remove ttcn3_compiler workaround
The related debian bug has been fixed in 2018, so remove the workaround.
I've also verified that the binary is called "compiler" in Arch Linux
(as some developers are on Arch).
Change-Id: Ia50aa3caffeaa85eefba10695096aa23dcb69c93
---
M _buildsystem/regen_makefile.inc.sh
1 file changed, 1 insertion(+), 9 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-ttcn3-hacks refs/changes/28/40028/1
diff --git a/_buildsystem/regen_makefile.inc.sh b/_buildsystem/regen_makefile.inc.sh
index 573231f..31dd491 100644
--- a/_buildsystem/regen_makefile.inc.sh
+++ b/_buildsystem/regen_makefile.inc.sh
@@ -14,14 +14,7 @@
# limitations under the License.
-# Wrapper around the TITAN make file generator to work in Debian.
-#
-# TITAN has a makefile generator, but somehow Debian seems to install
-# the binaries to different paths without patching the make file
-# generator, leading in inconsistent non-working Makefiles.
-#
-# See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=884303 for details.
-#
+# Wrapper around the TITAN make file generator
if [ -z "$NAME" ]; then
echo "ERROR: NAME is not set!"
@@ -70,7 +63,6 @@
else
sed -i -e 's/TTCN3_DIR = $/TTCN3_DIR = \/usr/' Makefile
fi
-sed -i -e 's/\/bin\/compiler/\/bin\/ttcn3_compiler/' Makefile
if [ "x$USE_CCACHE" = "x1" ]; then
# enable ccache
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/40028?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newchange
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: Ia50aa3caffeaa85eefba10695096aa23dcb69c93
Gerrit-Change-Number: 40028
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
osmith has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/40029?usp=email )
Change subject: buildsystem/regen_makefile: modernize
......................................................................
buildsystem/regen_makefile: modernize
Apply various small changes to make this file more readable.
Change-Id: I5a7dcd6171c6a370928ebedafc5ed318384dd8dd
---
M _buildsystem/regen_makefile.inc.sh
1 file changed, 19 insertions(+), 33 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-ttcn3-hacks refs/changes/29/40029/1
diff --git a/_buildsystem/regen_makefile.inc.sh b/_buildsystem/regen_makefile.inc.sh
index 31dd491..6d874d3 100644
--- a/_buildsystem/regen_makefile.inc.sh
+++ b/_buildsystem/regen_makefile.inc.sh
@@ -1,19 +1,6 @@
# Copyright 2017-2019 Harald Welte
-# Copyright 2018 sysmocom - s.f.m.c. GmbH
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-
+# Copyright 2018-2025 sysmocom - s.f.m.c. GmbH
+# SPDX-License-Identifier: Apache-2.0
# Wrapper around the TITAN make file generator
if [ -z "$NAME" ]; then
@@ -26,16 +13,9 @@
exit 1
fi
-test -x "$(which ttcn3_makefilegen 2>/dev/null)" || { echo "ERROR: ttcn3_makefilegen not in PATH"; exit 1; }
-
-# Enable ccache if it can be found in path.
-# This speeds up repeated builds of the TTCN3 tests by an order of magnitude
-# since most of the generated C++ source files don't change very often.
-# Roughly, for an initial build which takes N minutes, a complete rebuild
-# after 'make clean' will only take N seconds with ccache.
-# Note that ccache cannot speed up compilation of .o files to .so files.
-if [ -z "$USE_CCACHE" ] && which ccache 2>/dev/null; then
- USE_CCACHE=1
+if ! command -v ttcn3_makefilegen >/dev/null; then
+ echo "ERROR: ttcn3_makefilegen not in PATH"
+ exit 1
fi
ttcn3_makefilegen -g -p -l -U 8 -f -e "$NAME" $FILES
@@ -43,31 +23,37 @@
sed -i -e 's/# TTCN3_DIR = /TTCN3_DIR = \/usr/' Makefile
sed -i -e 's/LDFLAGS = /LDFLAGS = -L \/usr\/lib\/titan/' Makefile
sed -i -e 's/LINUX_LIBS = -lxml2/LINUX_LIBS = -lxml2 -lsctp -lssl/' Makefile
-#sed -i -e 's/TTCN3_LIB = ttcn3-parallel/TTCN3_LIB = ttcn3/' Makefile
# The -DMAKEDEPEND_RUN is a workaround for Debian packaging issue,
# see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=879816 for details
sed -i -e 's/CPPFLAGS = -D$(PLATFORM)/CPPFLAGS = -D$(PLATFORM) -DMAKEDEPEND_RUN -DUSE_SCTP -DLKSCTP_MULTIHOMING_ENABLED -DAS_USE_SSL/' Makefile
-#remove -Wall from CXXFLAGS: we're not interested in generic warnings for autogenerated code cluttering the logs
+# Remove -Wall from CXXFLAGS: we're not interested in generic warnings for
+# autogenerated code cluttering the logs
sed -i -e 's/-Wall//' Makefile
-if [ "x$CPPFLAGS_TTCN3" != "x" ]; then
+if [ -n "$CPPFLAGS_TTCN3" ]; then
CPPFLAGS_TTCN3="$(echo "$CPPFLAGS_TTCN3" | tr -d '\n' | tr '\t' ' ')"
sed -i -e "s/CPPFLAGS_TTCN3 =/CPPFLAGS_TTCN3 = $CPPFLAGS_TTCN3/" Makefile
fi
-# for TITAN 6.3.0
+# For TITAN 6.3.0
if cat /etc/issue | grep "Arch Linux" >/dev/null 2>&1; then
sed -i -e 's/TTCN3_DIR = $/TTCN3_DIR = \/usr\/ttcn3/' Makefile
else
sed -i -e 's/TTCN3_DIR = $/TTCN3_DIR = \/usr/' Makefile
fi
-if [ "x$USE_CCACHE" = "x1" ]; then
- # enable ccache
+# Enable ccache if it can be found in path. This speeds up repeated builds of
+# the TTCN3 tests by an order of magnitude since most of the generated C++
+# source files don't change very often. Roughly, for an initial build which
+# takes N minutes, a complete rebuild after 'make clean' will only take N
+# seconds with ccache. Note that ccache cannot speed up compilation of .o files
+# to .so files.
+if command -v ccache >/dev/null; then
sed -i -e 's/^CXX = g++ $/CXX = env CCACHE_SLOPPINESS=time_macros ccache g++/' Makefile
- # Append the -D option to compiler flags. This option disables timestamps
- # inside comments in the generated C++ code which interfere with ccache.
+ # Append the -D option to compiler flags. This option disables
+ # timestamps inside comments in the generated C++ code which interfere
+ # with ccache.
sed -i -e 's/^COMPILER_FLAGS = \(.*\)/& -D/' Makefile
fi
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/40029?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newchange
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I5a7dcd6171c6a370928ebedafc5ed318384dd8dd
Gerrit-Change-Number: 40029
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Attention is currently required from: pespin.
laforge has posted comments on this change by pespin. ( https://gerrit.osmocom.org/c/libosmo-sigtran/+/40005?usp=email )
Change subject: ipa: Store ASP IPA SLS into its own field
......................................................................
Patch Set 2: Code-Review+2
--
To view, visit https://gerrit.osmocom.org/c/libosmo-sigtran/+/40005?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: libosmo-sigtran
Gerrit-Branch: master
Gerrit-Change-Id: I6ec346417ceeabfce9c7b856040be2179c59195e
Gerrit-Change-Number: 40005
Gerrit-PatchSet: 2
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-Comment-Date: Mon, 14 Apr 2025 10:49:57 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Attention is currently required from: fixeria, pespin.
laforge has posted comments on this change by fixeria. ( https://gerrit.osmocom.org/c/erlang/osmo-s1gw/+/40019?usp=email )
Change subject: sctp_{client,server}: set sndbuf/recbuf explicitly
......................................................................
Patch Set 2: Code-Review+1
(1 comment)
Patchset:
PS2:
I'm wondering why we use 64k if the kernel default (at least on my system) would be > 200k. Ideally I'd suggest to use something that's close to the kernel default.
One could even read the default from /proc - but I'd think that would be too much effort.
--
To view, visit https://gerrit.osmocom.org/c/erlang/osmo-s1gw/+/40019?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: erlang/osmo-s1gw
Gerrit-Branch: master
Gerrit-Change-Id: I66f4a0f6a2441a3c8a4dbd266da8e44a3860b993
Gerrit-Change-Number: 40019
Gerrit-PatchSet: 2
Gerrit-Owner: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-Comment-Date: Mon, 14 Apr 2025 10:38:18 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: Yes